[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

DepthStop Class Reference

Random forest 'maximum depth' stop criterion. More...

`#include <vigra/random_forest_3/random_forest_common.hxx>`

## Public Member Functions

| DepthStop (size_t max_depth)
| Constructor: terminate tree construction at max_depth.

## Detailed Description

Random forest 'maximum depth' stop criterion.

Stop splitting a node when the its depth reaches a given value or when it is pure.

The documentation for this class was generated from the following file:

- vigra/random_forest_3/random_forest_common.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1